RedCrawler API
Users & Profiles V2

Validate Username V2

Check whether a Reddit username is available and valid. Returns taken/unavailable/reserved status. Public — no bearer required.

GET /api/v2/profile/validate

Check whether a Reddit username is available and valid. Returns taken/unavailable/reserved status. Public — no bearer required.

Query parameters

NameTypeRequiredDescription
usernamestringYesUsername to check for availability and rule compliance.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/profile/validate?username=definitely_unused_name_xyz" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/profile/validate?username=definitely_unused_name_xyz", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/profile/validate?username=definitely_unused_name_xyz"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "validation": {
      "redditorInfoByName": null
    }
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:43.388536+00:00"
}

On this page